from django.db.models import Count
from django.shortcuts import render_to_response
from django.template import RequestContext

from inventory.models import InventoryObject
from inventory.models import InventoryObjectLocation


def basic(request):
    objects_count = len(InventoryObject.objects.all())
    objects_breakdown = InventoryObject.objects.values(
        'type').annotate(dcount=Count('type'))
    locations = InventoryObjectLocation.objects.all()

    return render_to_response('reports/basic.html', {
        'locations': locations,
        'section_reports': True,
        'subsection_basic': True,
        'objects_count': objects_count,
        'objects_breakdown': objects_breakdown,
    }, context_instance=RequestContext(request))
